using System;

class Program {
  public static void Main (string[] args) {

    string N = Console.ReadLine();
    char[] duzaRec = new char[N.Length];
    for(int i = 0;i < N.Length; i++) duzaRec[i] = N[i];

    string M = Console.ReadLine();
    char[] zabranjenaRec = new char[M.Length];
    for(int i = 0;i < M.Length; i++) zabranjenaRec[i] = M[i];

    int brojZvezdica = 0;

    if(M.Length == 1)
    {
      for(int i = 0;i < N.Length; i++)
      {
        if(duzaRec[i] == zabranjenaRec[0]) 
        {
          duzaRec[i] = '*';
          brojZvezdica++;
        }  
      }
    }
    else
    {  
      int k = 0;
      for(int i = 0;i < N.Length; i++)
      {
        if(duzaRec[i] == zabranjenaRec[0]) 
        {
          k++;
          if(k >= M.Length)
          {
            duzaRec[i] = '*';
            brojZvezdica++;
          }
        }
      }
    }

    //ispis
    Console.WriteLine(brojZvezdica);
    for(int i = 0;i < duzaRec.Length; i++) Console.Write(duzaRec[i]);
    Console.WriteLine();

  }
}